---
title: Node.isDefaultNamespace()
slug: Web/API/Node/isDefaultNamespace
tags:
  - API
  - DOM
  - Method
  - NeedsSpecTable
  - Node
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>Node.isDefaultNamespace()</code></strong> method accepts a namespace URI as an argument and returns a {{jsxref("Boolean")}} with a value of <code>true</code> if the namespace is the default namespace on the given node or <code>false</code> if not.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>result</em> = <em>node</em>.isDefaultNamespace(<em>namespaceURI</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<p><code>namespaceURI</code> is a string representing the namespace against which the element will be checked.</p>

<h3 id="Return_value">Return value</h3>

<p><code>result</code> is a {{jsxref("Boolean")}} that holds the return value <code>true</code> or <code>false</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">var XULNS = "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul";
var el = document.getElementsByTagNameNS(XULNS, 'textbox')[0];

alert(el.isDefaultNamespace(XULNS)); // true</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-node-isdefaultnamespace", "Node: isDefaultNamespace")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.isDefaultNamespace")}}</p>
